slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPGetType

Gets the NEP type as a string from the NEP object.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPGetType(NEP nep,NEPType *type)

Not Collective

### Input Parameter

| nep | - the eigensolver context

### Output Parameter

| type | - name of NEP method

### See Also

NEPSetType()

### Level

intermediate

### Location

src/nep/interface/nepbasic.c

### Examples

src/nep/tutorials/ex20.c
src/nep/tutorials/ex20f.F90
src/nep/tutorials/ex22f.F90
src/nep/tutorials/ex27.c
src/nep/tutorials/ex27f.F90
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages